### Method

# Gtk DragSource set_content

#### Declaration [src]

    void
    gtk_drag_source_set_content (
      GtkDragSource* source,
      GdkContentProvider* content
    )

#### Description [src]

Sets a content provider on a `GtkDragSource`.

When the data is requested in the cause of a DND operation, it will be obtained from the content provider.

This function can be called before a drag is started, or in a handler for the `GtkDragSource::prepare` signal.

You may consider setting the content provider back to `NULL` in a `GtkDragSource::drag-end` signal handler.

Sets property | `Gtk.DragSource:content`

#### Parameters

`content` | `GdkContentProvider*`
| A `GdkContentProvider`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.